
import java.sql.*;

public class JDBCQuery
{

    public static void main (String[] parameters)
    {
        String system           = "myAS400";
        String collectionName   = "QIWS";
        String tableName        = "QCUSTCDT";

        Connection connection   = null;

        try
        {
            DriverManager.registerDriver(new com.ibm.as400.access.AS400JDBCDriver());
            connection = DriverManager.getConnection ("jdbc:as400://" + system);
            DatabaseMetaData dmd = connection.getMetaData ();

            Statement select = connection.createStatement ();
            ResultSet rs = select.executeQuery ("SELECT * FROM "
                + collectionName + dmd.getCatalogSeparator() + tableName);

            ResultSetMetaData rsmd = rs.getMetaData ();

            System.out.println(rsmd.getColumnLabel(1) + "   " +
                               rsmd.getColumnLabel(10));

            while (rs.next ())
            {
                String id = rs.getString(1);
                if (id == null)
                  id = "null";

                String value = rs.getString(10);
                if (value == null)
                   value = "null";

                System.out.println(id + "   " + value);
            }
        }

        catch (Exception e)
        {
            System.out.println ();
            System.out.println ("ERROR: " + e.getMessage());
        }

        finally
        {
            try
            {
                if (connection != null)
                    connection.close ();
            }
            catch (SQLException e) { }
        }

        System.exit (0);
    }
}

